function [speli]=s_spegenP(type_gen,P,N,rho);
speli=ones(1,N);
[u2,v]=juviP(2*P,N);
[u1,v]=juviP(P,N);
if type_gen==5
    speli=sqrt(u2);    
elseif type_gen==2
    speli=1./(sqrt(u2)+eps);    
elseif type_gen==1
    speli=sqrt(u2)./(u1+eps);    
elseif type_gen==3
    speli=u1./(sqrt(u2)+eps);    
elseif type_gen==6
     n=0:N-1;
   si=sin(pi*n/N);
   W=(2*si).^P;
    speli=sqrt(u2)./(u1+rho*W);    

end
